package	com.sw.mes.yb.agv.service.impl;


import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.yb.agv.dao.AgvDispatchDeployDao;
import com.sw.mes.yb.agv.entity.AgvDispatchDeploy;
import com.sw.mes.yb.agv.service.AgvDispatchDeployService;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class AgvDispatchDeployServiceImpl extends BaseServiceImpl<AgvDispatchDeploy> implements AgvDispatchDeployService {
    AgvDispatchDeployDao dao;
	@Autowired
    public void setDao(AgvDispatchDeployDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }
	
	
	@Override
	public AgvDispatchDeploy getByKeyword(String keyword) {
		List<AgvDispatchDeploy> list = dao.findByKeyword(keyword); 
		if(list.size()>0) {
			return list.get(0);
		}
		return null;
	}
}
